Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Cryptix OpenPGP
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## cryptix.message
Class EncryptedMessageBuilderSpi

    java.lang.Object
      cryptix.message.EncryptedMessageBuilderSpi

public abstract class EncryptedMessageBuilderSpi
extends java.lang.Object

Service provider interface for EncryptedMessageBuilder

Version:
  $Revision: 1.2 $
Author:
  Edwin Woudt

Constructor Summary
`EncryptedMessageBuilderSpi()`

Method Summary
`abstract void` | `engineAddRecipient(KeyBundle bundle)` Adds a keybundle recipient
`abstract void` | `engineAddRecipient(java.security.PublicKey publickey)` Adds a public key recipient
`abstract void` | `engineAddRecipient(javax.crypto.SecretKey symmetrickey)` Adds a symmetric key recipient
`abstract void` | `engineAddRecipient(java.lang.String passphrase)` Adds a passphrase recipient
`abstract Message` | `engineBuild()` Returns the encrypted message
`abstract void` | `engineInit(Message contents, java.security.SecureRandom sr)` Initializes this builder with the given message.
`abstract void` | `engineSetAttribute(java.lang.String name, java.lang.Object attr)` Set a format specific attribute.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EncryptedMessageBuilderSpi

    public EncryptedMessageBuilderSpi()

Method Detail

### engineInit

    public abstract void engineInit(Message contents,
                                    java.security.SecureRandom sr)
                             throws java.lang.IllegalStateException,
                                    MessageException

  Initializes this builder with the given message.

  Throws:
    `java.lang.IllegalStateException` - if this message has been initialized before.
    `MessageException` - on a variety of format specific problems.

### engineSetAttribute

    public abstract void engineSetAttribute(java.lang.String name,
                                            java.lang.Object attr)
                                     throws java.lang.IllegalStateException,
                                            java.lang.IllegalArgumentException,
                                            MessageException

  Set a format specific attribute.

  Parameters:
    `name` - a name identifying the attribute
    `attr` - the attribute itself
  Throws:
    `java.lang.IllegalStateException` - if this message has not been initialized before.
    `java.lang.IllegalArgumentException` - if the attribute is not supported or the given object does not have the right type.
    `MessageException` - on a variety of format specific problems.

### engineAddRecipient

    public abstract void engineAddRecipient(java.security.PublicKey publickey)
                                     throws java.lang.IllegalStateException,
                                            java.lang.UnsupportedOperationException,
                                            MessageException

  Adds a public key recipient

  Throws:
    `InvalidStateException` - if this message has not been initialized properly or if the build() method has been called
    `java.lang.UnsupportedOperationException` - if this particular format does not support encrypting messages to public keys.
    `MessageException` - on a variety of format specific problems.
    `java.lang.IllegalStateException`

### engineAddRecipient

    public abstract void engineAddRecipient(KeyBundle bundle)
                                     throws java.lang.IllegalStateException,
                                            java.lang.UnsupportedOperationException,
                                            MessageException

  Adds a keybundle recipient

  Throws:
    `InvalidStateException` - if this message has not been initialized properly or if the build() method has been called
    `java.lang.UnsupportedOperationException` - if this particular format does not support encrypting messages to public keys.
    `MessageException` - on a variety of format specific problems.
    `java.lang.IllegalStateException`

### engineAddRecipient

    public abstract void engineAddRecipient(javax.crypto.SecretKey symmetrickey)
                                     throws java.lang.IllegalStateException,
                                            java.lang.UnsupportedOperationException,
                                            MessageException

  Adds a symmetric key recipient

  Throws:
    `InvalidStateException` - if this message has not been initialized properly or if the build() method has been called
    `java.lang.UnsupportedOperationException` - if this particular format does not support encrypting messages to symmetric keys.
    `MessageException` - on a variety of format specific problems.
    `java.lang.IllegalStateException`

### engineAddRecipient

    public abstract void engineAddRecipient(java.lang.String passphrase)
                                     throws java.lang.IllegalStateException,
                                            java.lang.UnsupportedOperationException,
                                            MessageException

  Adds a passphrase recipient

  Throws:
    `InvalidStateException` - if this message has not been initialized properly or if the build() method has been called
    `java.lang.UnsupportedOperationException` - if this particular format does not support encrypting messages to passphrases.
    `MessageException` - on a variety of format specific problems.
    `java.lang.IllegalStateException`

### engineBuild

    public abstract Message engineBuild()
                                 throws java.lang.IllegalStateException,
                                        MessageException

  Returns the encrypted message

  Throws:
    `InvalidStateException` - if this message has not been initialized properly, if no calls have been made to any of the addRecipient methods or if multiple calls to this build() method are made.
    `MessageException` - on a variety of format specific problems.
    `java.lang.IllegalStateException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Cryptix OpenPGP
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) 1999-2003 The Cryptix Foundation Ltd.